QGIS Application - Bug report #9954
QGIS Server print the wrong table if a geometryless is added to the layout
2014-03-30 02:02 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18453
Description

QGIS print composer allow to add table of attributes and other tables (geometryless) that have may been loaded in the project.

If a geometryless table is added to a layout this print fine via QGIS desktop (I tested CSVs).

If the layout is printed using the server (getprint request) then the table that is printed is the wrong one (the one of vector layer).

This is a quite big limitation in allowing creating layouts as reports (for example including group stats tables) in QGIS web client and
Lizmap.

History

#1 - 2014-06-20 03:42 PM - Giovanni Manghi

still true on latest master.

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-10-18 11:41 AM - Paul Blottiere

- Description updated

- Status changed from Open to Feedback

It seems to work fine on current Master (3.X).

@Giovanni Manghi, did you test it on 2.18 lately?

#4 - 2018-10-18 02:08 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
- Assignee deleted (Marco Hugentobler)

If it works on master | think we can close this.
